Remove some old deps; add 17.10.
authorCarl Hetherington <cth@carlh.net>
Sat, 21 Oct 2017 12:59:28 +0000 (13:59 +0100)
committerCarl Hetherington <cth@carlh.net>
Sat, 21 Oct 2017 12:59:28 +0000 (13:59 +0100)
cscript
run/dcpomatic

diff --git a/cscript b/cscript
index 519e0d8..2ba67f1 100644 (file)
--- a/cscript
+++ b/cscript
@@ -28,16 +28,14 @@ deb_build_depends = dict()
 
 deb_build_depends_base = ['debhelper', 'python', 'g++', 'pkg-config', 'libsndfile1-dev', 'libgtk2.0-dev', 'libx264-dev']
 
-deb_build_depends['12.04'] = copy.deepcopy(deb_build_depends_base)
-deb_build_depends['12.04'].extend(['libssh-dev'])
 deb_build_depends['14.04'] = copy.deepcopy(deb_build_depends_base)
 deb_build_depends['14.04'].extend(['libssh-dev'])
 deb_build_depends['16.04'] = copy.deepcopy(deb_build_depends_base)
 deb_build_depends['16.04'].extend(['libssh-dev'])
-deb_build_depends['16.10'] = copy.deepcopy(deb_build_depends_base)
-deb_build_depends['16.10'].extend(['libssh-dev'])
 deb_build_depends['17.04'] = copy.deepcopy(deb_build_depends_base)
 deb_build_depends['17.04'].extend(['libssh-dev'])
+deb_build_depends['17.10'] = copy.deepcopy(deb_build_depends_base)
+deb_build_depends['17.10'].extend(['libssh-dev'])
 deb_build_depends['7'] = copy.deepcopy(deb_build_depends_base)
 deb_build_depends['7'].extend(['libssh-dev'])
 deb_build_depends['8'] = copy.deepcopy(deb_build_depends_base)
@@ -81,13 +79,13 @@ deb_depends['16.04'].extend(['libboost-filesystem1.58.0',
                              'libssh-4',
                              'libx264-148'])
 
-deb_depends['16.10'] = copy.deepcopy(deb_depends_base)
-deb_depends['16.10'].extend(['libboost-filesystem1.61.0',
-                             'libboost-thread1.61.0',
-                             'libboost-regex1.61.0',
-                             'libmagick++-6.q16-5v5',
+deb_depends['17.04'] = copy.deepcopy(deb_depends_base)
+deb_depends['17.04'].extend(['libboost-filesystem1.62.0',
+                             'libboost-thread1.62.0',
+                             'libboost-regex1.62.0',
+                             'libmagick++-6.q16-7',
                              'libxml++2.6-2v5',
-                             'libboost-date-time1.61.0',
+                             'libboost-date-time1.62.0',
                              'libzip4',
                              'libwxgtk3.0-0v5',
                              'libicu57',
@@ -95,8 +93,8 @@ deb_depends['16.10'].extend(['libboost-filesystem1.61.0',
                              'libssh-4',
                              'libx264-148'])
 
-deb_depends['17.04'] = copy.deepcopy(deb_depends_base)
-deb_depends['17.04'].extend(['libboost-filesystem1.62.0',
+deb_depends['17.10'] = copy.deepcopy(deb_depends_base)
+deb_depends['17.10'].extend(['libboost-filesystem1.62.0',
                              'libboost-thread1.62.0',
                              'libboost-regex1.62.0',
                              'libmagick++-6.q16-7',
index 9c5fc54..7de6f02 100755 (executable)
@@ -21,5 +21,5 @@ elif [ "$1" == "--perf" ]; then
     shift
     perf record build/src/tools/dcpomatic2 $*
 else
-    build/src/tools/dcpomatic2 $*
+    ldd build/src/tools/dcpomatic2 $*
 fi